Gantt sorting as a configurable setting
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

As of 2.4.0 the issues in the Gantt will be sorted by start date instead of lft/rgt (implementation of #7335).

In my opinion - as an extension of that - it would be very helpful if there was an option in the Redmine settings where the user/admin

can configure which kind of sorting shall be used to display the issues in the Gantt (either by lft/rgt or by start date).

May it be possible to implement that?

Related issues:

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15

Related to Redmine - Feature #8897: Be able to reorder tasks/issues in the Ga... New 2011-07-25

History

#1 - 2013-07-04 16:06 - Michael Heinze

One reason why we should not disable the sorting by lft/rgt is that some day we could extend Redmine by a manual sorting functionality based on the

lft/rgt values (the awesome nested sets already offer the "move_left" and "move_right" methods which could be used for this).

#2 - 2013-07-08 05:30 - Toshi MARUYAMA

- Category set to Gantt

#3 - 2013-07-08 05:31 - Toshi MARUYAMA

- Related to Defect #7335: Sorting issues in gantt by date, not by id added

#4 - 2013-07-08 05:31 - Toshi MARUYAMA

- Target version set to 2.4.0

#5 - 2013-07-19 10:53 - Ribald Drobens

Why not using the existing sorting-system for tickets also for gantt? It's very powerful as one can even save queries.

#6 - 2013-09-03 15:00 - Artem Kondratyev

Any progress on this one?

#7 - 2013-10-13 10:02 - Jean-Philippe Lang

- Target version changed from 2.4.0 to Candidate for next major release

2.4 feature freeze

#8 - 2013-10-13 10:22 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 2.4.0

I think this feature need to include in 2.4.0 because #7335 changed sorting.

#9 - 2013-11-10 10:44 - Jean-Philippe Lang

- Target version deleted (2.4.0)
https://www.redmine.org/issues/7335
https://www.redmine.org/versions/70
https://www.redmine.org/issues/7335


Michael Heinze wrote:

One reason why we should not disable the sorting by lft/rgt is that some day we could extend Redmine by a manual sorting functionality based

on the lft/rgt values

 Yes, that would be usefull. For now, I prefer to have only one sorting method.

#10 - 2014-10-28 21:28 - James H

+1

#11 - 2014-11-27 05:03 - Toshi MARUYAMA

- Related to Feature #8897: Be able to reorder tasks/issues in the Gantt chart added
